package file;

import java.io.File;
import java.io.IOException;

public class FileExample {
    public static void main(String[] args) {
    	//NOTE: Do not run with herons.txt, this program will delete it and you need it later
    	//Use the copy herons2.txt.  You can make more copies using the original herons.txt
    	//to try out this program.
    	
        // Create a File object representing a file named "herons2.txt"
        File file = new File("herons2.txt");  

        // Check if the file already exists
        if (file.exists()) {
            System.out.println("File already exists.");
            System.out.println("Absolute Path: " + file.getAbsolutePath());
            System.out.println("File Size: " + file.length() + " bytes");
            System.out.println("Readable: " + file.canRead());
            System.out.println("Writable: " + file.canWrite());
        } else {
            try {
                // Attempt to create the file
                if (file.createNewFile()) {
                    System.out.println("File created: " + file.getName());
                    System.out.println("Absolute Path: " + file.getAbsolutePath());
                } else {
                    System.out.println("Failed to create the file.");
                }
            } catch (IOException e) {
                System.err.println("Error creating file: " + e.getMessage());
            }
        }

        // Demonstrate deleting the file
        if (file.exists()) {
            if (file.delete()) {
                System.out.println("File deleted successfully.");
            } else {
                System.out.println("Failed to delete the file.");
            }
        }
    }
}

