package read;


import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class BufferedReaderEx {
    public static void main(String[] args) {
        // Try-with-resources ensures automatic closing of resources
        try (BufferedReader br = new BufferedReader(new FileReader("herons.txt"))) {
            String line;
            while ((line = br.readLine()) != null) { // Read line by line
                System.out.println(line); // Print the line
            }
        } catch (IOException e) {
            System.err.println("Error reading file: " + e.getMessage());
        }
    }
}

