package read;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class ScannerParallelArrays {
    public static void main(String[] args) {
        final int MAX_RECORDS = 5; // Assume 5 records in the file
        String[] names = new String[MAX_RECORDS]; // Array for names
        int[] ages = new int[MAX_RECORDS]; // Array for ages

        try (Scanner scanner = new Scanner(new File("people.txt"))) {
            int index = 0;
            
            // Read file line by line
            while (scanner.hasNext() && index < MAX_RECORDS) {
                names[index] = scanner.next();  // Read name
                if (scanner.hasNextInt()) {
                    ages[index] = scanner.nextInt();  // Read age
                } else {
                    System.err.println("Invalid age format for: " + names[index]);
                    break;
                }
                index++;
            }

            // Print stored data
            System.out.println("Names and Ages:");
            for (int i = 0; i < MAX_RECORDS; i++) {
                System.out.println(names[i] + " - " + ages[i]);
            }
            
        } catch (FileNotFoundException e) {
            System.err.println("File not found: " + e.getMessage());
        }
    }
}

