package write;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

public class BufferedWriterEx {
    public static void main(String[] args) {
        // Define the filename
        String filename = "output1.txt";

        // Try-with-resources ensures BufferedWriter is closed automatically
        try (BufferedWriter writer = new BufferedWriter(new FileWriter(filename))) {
            writer.write("Herons are wading birds found in Maryland.");
            writer.newLine();  // Move to the next line
            writer.write("They belong to the Ardeidae family.");
            writer.newLine();
            writer.write("Some common species in Maryland include:");
            writer.newLine();
            writer.write("- Great Blue Heron");
            writer.newLine();
            writer.write("- Green Heron");
            writer.newLine();
            writer.write("- Black-crowned Night Heron");
            
            // No need to call flush() as close() does it automatically
        } catch (IOException e) {
            System.err.println("Error writing to file: " + e.getMessage());
        }
        
        System.out.println("File written successfully.");
    }
}
