package write;

import java.io.PrintWriter;
import java.io.FileWriter;
import java.io.IOException;

public class PrintWriterEx {
    public static void main(String[] args) {
        String filename = "output2.txt";

        // Try-with-resources ensures PrintWriter is closed properly
        try (PrintWriter writer = new PrintWriter(new FileWriter(filename))) {
            writer.println("Herons are wading birds found in Maryland.");
            writer.println("They belong to the Ardeidae family.");
            writer.println("Some common species in Maryland include:");
            writer.printf("- %-25s %s%n", "Great Blue Heron", "(Ardea herodias)");
            writer.printf("- %-25s %s%n", "Green Heron", "(Butorides virescens)");
            writer.printf("- %-25s %s%n", "Black-crowned Night Heron", "(Nycticorax nycticorax)");

        } catch (IOException e) {
            System.err.println("Error writing to file: " + e.getMessage());
        }

        System.out.println("File written successfully.");
    }
}

